Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005857 [JEDI VCL] 00 JVCL Components major always 2012-04-18 14:14 2012-09-10 14:15
Reporter RHoek View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005857: When using JvInspector with Variant properties you get an EAbstractError
Description For some reason the abstratc GetAsVariant/SetAsVariant access methods of the AsVariant property of 'TJvCustomInspectorData' are not implemented in the 'TJvInspectorPropData' class (which is created for Variant properties).

I did notice that 'TJvInspectorVarData' does implement the Set/GetAsVariant methods.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvInspector.pas [^] (393,326 bytes) 2012-04-18 14:39
zip file icon JVCL BUG - Variant property TJvInspector (abstract error).zip [^] (151,344 bytes) 2012-06-13 12:31

- Relationships

-  Notes
(0019709)
RHoek (reporter)
2012-04-18 14:31

After analysing the unit further, I noticed that the 'TJvInspectorVarData' is not used at all (within the unit)....
(0019710)
RHoek (reporter)
2012-04-18 14:40

I've uploaded a new version of the unit, with (what I think) are the required changed, to support (a least plain) variant properties.

NOTE: with 'plain' I mean: none array variants like string, double, integer, etc.
(0019852)
obones (administrator)
2012-06-11 17:27

Please provide the zipped sources of a sample application showing this.
(0019946)
RHoek (reporter)
2012-06-13 12:32

Demo project uploaded!
(0019951)
obones (administrator)
2012-06-13 14:11

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2012-04-18 14:14 RHoek New Issue
2012-04-18 14:31 RHoek Note Added: 0019709
2012-04-18 14:39 RHoek File Added: JvInspector.pas
2012-04-18 14:40 RHoek Note Added: 0019710
2012-06-11 17:27 obones Note Added: 0019852
2012-06-11 17:27 obones Status new => feedback
2012-06-13 12:31 RHoek File Added: JVCL BUG - Variant property TJvInspector (abstract error).zip
2012-06-13 12:32 RHoek Note Added: 0019946
2012-06-13 13:40 obones Status feedback => acknowledged
2012-06-13 14:11 obones Note Added: 0019951
2012-06-13 14:11 obones Status acknowledged => resolved
2012-06-13 14:11 obones Fixed in Version => Daily / SVN
2012-06-13 14:11 obones Resolution open => fixed
2012-06-13 14:11 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker